PFont myFont;
int start;
int stop;

void setup() {
  size(550, 1000);
  smooth();

  // Print a list of installed fonts 
  String[] fontList = PFont.list();
  println(fontList);
  fill(0);

  zoom = 1.0;
  offset = new PVector(0, 0);
  poffset = new PVector(0, 0);
  //reference of how to create and use a font
  //myFont = createFont("FFScala", 32);                  //or this way: myFont = createFont(PFont.list()[i], 20);
  //textFont(myFont);
  //text("welcome to the city", 20, 20);

  //pick the start and end number of the fonts you want to see from the list that prints when you run this sketch.  
  start =100;
  stop = 400;
}

void draw() {
  background(255);
  pushMatrix();
  // Everything must be drawn relative to center
  translate(width/2, height/2);

  scale(zoom);
  translate(offset.x/zoom, offset.y/zoom);

  // An arbitrary design so that we have something to see!
  for (int i = start; i <= stop; i++) {//PFont.list().length
    myFont = createFont(PFont.list()[i], 20);
    textFont(myFont);
    text(i + " " + PFont.list()[i], -width/2, -height/2 + (i-start)*20+20);//floor((i-start)/10)*(height/10)+20);
  }

  popMatrix();
}


// Store the mouse and the previous offset
void mousePressed() {
  mouse = new PVector(mouseX, mouseY);
  poffset.set(offset);
}

// Calculate the new offset based on change in mouse vs. previous offsey
void mouseDragged() {
  offset.x = mouseX - mouse.x + poffset.x;
  offset.y = mouseY - mouse.y + poffset.y;
}

